Subject: Re: [1/2] powerpc/4xx/ocm: Fix phys_addr_t printf warnings

From: Christian Lamparter <[email-masked]>
Date: Fri, 04 Jan 2019 21:46:51 +0100

On Wednesday, January 2, 2019 12:31:50 PM CET Michael Ellerman wrote:
> On Tue, 2019-01-01 at 03:56:00 UTC, Michael Ellerman wrote:
> > Currently the code produces several warnings, eg:
> > 
> >   arch/powerpc/platforms/4xx/ocm.c:240:38: error: format '%llx'
> >   expects argument of type 'long long unsigned int', but argument 3
> >   has type 'phys_addr_t {aka unsigned int}'
> >      seq_printf(m, "PhysAddr     : 0x%llx\n", ocm->phys);
> >                                    ~~~^     ~~~~~~~~~
> > 
> > Fix it by using the special %pa[p] format for printing phys_addr_t.
> > Note we need to pass the value by reference for the special specifier
> > to work.
> > 
> > Signed-off-by: Michael Ellerman <[email-masked]>
> 
> Series applied to powerpc fixes.
> 
> https://git.kernel.org/powerpc/c/52b88fa1e8c7bae03bb691178a9f8b

Well, I guess I'm a late. I had issues with the getting 4.20+
crosscompiled on debian with make-kpkg. 

Nevertheless, I finally got a working kernel and 
on the MyBook Live APM82181:

---
root@mbl:/sys/kernel/debug# cat ppc4xx_ocm/info 
PPC4XX OCM   : 1
PhysAddr     : 0x0000000400040000[p]
MemTotal     : 32768 Bytes
MemTotal(NC) : 32768 Bytes
MemTotal(C)  : 0 Bytes

NC.PhysAddr  : 0x0000000400040000[p]
NC.VirtAddr  : 0x6bc84b36
NC.MemTotal  : 32768 Bytes
NC.MemFree   : 32768 Bytes

C.PhysAddr   : 0x0000000000000000[p]
C.VirtAddr   : 0x  (null)
C.MemTotal   : 0 Bytes
C.MemFree    : 0 Bytes
---

Yes, nobody is using the ocm. Though I do have a patch
for the crypto4xx and emac.